Skip to main content
GET
/
v1
/
markets
/
{slug}
/
book
Get Market Book
curl --request GET \
  --url https://gateway.polymarket.us/v1/markets/{slug}/book
{
  "marketData": {
    "marketSlug": "<string>",
    "bids": [
      {
        "qty": "<string>"
      }
    ],
    "offers": [
      {
        "qty": "<string>"
      }
    ],
    "state": "MARKET_STATE_OPEN",
    "stats": {
      "sharesTraded": "<string>",
      "lastTradeQty": "<string>",
      "openInterest": "<string>",
      "settlementPreliminaryFlag": true,
      "openSetTime": "2023-11-07T05:31:56Z",
      "closeSetTime": "2023-11-07T05:31:56Z",
      "highSetTime": "2023-11-07T05:31:56Z",
      "lowSetTime": "2023-11-07T05:31:56Z",
      "lastTradeSetTime": "2023-11-07T05:31:56Z",
      "indicativeOpenSetTime": "2023-11-07T05:31:56Z",
      "settlementSetTime": "2023-11-07T05:31:56Z",
      "openInterestSetTime": "2023-11-07T05:31:56Z",
      "notionalSetTime": "2023-11-07T05:31:56Z",
      "settlementPriceCalculationMethod": "SETTLEMENT_PRICE_CALCULATION_METHOD_VWAP_TIER_1",
      "tradingReferenceSetTime": "2023-11-07T05:31:56Z",
      "lastPriceSample": {
        "ts": "2023-11-07T05:31:56Z"
      }
    },
    "transactTime": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

slug
string
required

Market slug

Response

Market data including order book and stats

Response containing market book data including order book and stats

marketData
object